Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QTimeLine.Direction

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QTimeLine.Direction

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTimeLine

    public static final class QTimeLine.Direction

extends java.lang.Enum
implements QtEnumerator

This enum describes the direction of the timeline when in `Running` state.

See also:
  setDirection().

See Also:
  Serialized Form

Field Summary
`static QTimeLine.Direction` | `Backward` The current time of the timeline decreases with time (i.e., moves from the end / duration and towards 0).
`static QTimeLine.Direction` | `Forward` The current time of the timeline increases with time (i.e., moves from 0 and towards the end / duration).

Method Summary
`static QTimeLine.Direction` | `resolve(int value)` Returns the QTimeLine$Direction constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTimeLine.Direction` | `valueOf(java.lang.String name)`
`static QTimeLine.Direction[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Forward

    public static final QTimeLine.Direction Forward

  The current time of the timeline increases with time (i.e., moves from 0 and towards the end / duration).

### Backward

    public static final QTimeLine.Direction Backward

  The current time of the timeline decreases with time (i.e., moves from the end / duration and towards 0).

Method Detail

### values

    public static QTimeLine.Direction[] values()

### valueOf

    public static QTimeLine.Direction valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTimeLine.Direction resolve(int value)

  Returns the QTimeLine$Direction constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD